FROM registry.yaltik.net/odoo:yaltikbase10c7
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# Extra dependencies
RUN pip install --user --no-cache-dir unidecode==1.2.0 requests-oauthlib==1.3.1 && \
      pip install --user git+https://github.com/OCA/openupgradelib.git@3.3.2

# External code
WORKDIR /opt/odoo/extra-addons
RUN git clone --depth 1 -b 10.0 https://github.com/OCA/community-data-files && \
      git clone --depth 1 -b 10.0 https://github.com/OCA/reporting-engine && \
      git clone --depth 1 -b 10.0 https://github.com/OCA/l10n-france && \
      git clone --depth 1 -b 10.0 https://github.com/OCA/partner-contact && \
      git clone --depth 1 -b 10.0 https://github.com/OCA/crm && \
      git clone --depth 1 -b 10.0 https://github.com/OCA/queue && \
      git clone --depth 1 -b 10.0 https://github.com/OCA/server-tools && \
      git clone --depth 1 -b 10.0 https://github.com/OCA/web && \
      git clone --depth 1 -b 10.0 https://github.com/Openworx/backend_theme

# Scripts
COPY i18n-import.sh upd.sh /opt/odoo/

WORKDIR /opt/odoo
